local vanila_vim_autostart_commands = {
  "set number",
  "set clipboard=unnamedplus",
  "set nowrap"
}

for _, cmd in pairs(vanila_vim_autostart_commands) do
  vim.cmd(cmd)
end

require("config.lazy")

require("mappings")

require("config.plugins.acmp")
require("config.plugins.autotag")
require("config.plugins.autocomplete")
require("config.plugins.bufferline")
require("config.plugins.colorizer")
require("config.plugins.comment")
require("config.plugins.dap")
require("config.plugins.gitsigns")
require("ibl").setup()
require("config.plugins.lsp_diagnostic")
require("config.plugins.lualine")
require("config.plugins.navic")
require("config.plugins.noice")
require("toggleterm").setup()
require("config.plugins.treesitter")
require("config.plugins.neotree")
require("config.plugins.nvimufo")
require("config.plugins.prettier")
require("config.plugins.rustaceanvim")
require("huez").setup({})
require("config.plugins.dropbar") 
